import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { SysParams } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-24 17:42
 */
interface SysParamsCU extends ConditionUtil<SysParamsCU> {
    ID: FieldUtil<SysParamsCU>;
    CREATE_TIME: FieldUtil<SysParamsCU>;
    UPDATE_TIME: FieldUtil<SysParamsCU>;
    STATE: FieldUtil<SysParamsCU>;
    PARAM_NAME: FieldUtil<SysParamsCU>;
    PARAM_VALUE: FieldUtil<SysParamsCU>;
}
declare class SysParamsMU extends TableUtilImpl<SysParamsCU, SysParams> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): SysParamsCU;
    static get ID(): FieldUtil<SysParamsCU>;
    static get CREATE_TIME(): FieldUtil<SysParamsCU>;
    static get UPDATE_TIME(): FieldUtil<SysParamsCU>;
    static get STATE(): FieldUtil<SysParamsCU>;
    static get PARAM_NAME(): FieldUtil<SysParamsCU>;
    static get PARAM_VALUE(): FieldUtil<SysParamsCU>;
    get ID(): FieldUtil<SysParamsCU>;
    get CREATE_TIME(): FieldUtil<SysParamsCU>;
    get UPDATE_TIME(): FieldUtil<SysParamsCU>;
    get STATE(): FieldUtil<SysParamsCU>;
    get PARAM_NAME(): FieldUtil<SysParamsCU>;
    get PARAM_VALUE(): FieldUtil<SysParamsCU>;
}
export { SysParamsMU, SysParamsCU };
